from statistics import median, stdev

results = {}

# Read is how we call the process of reading all the data to calculate the
# sum of a column.
hot_cache_read = {'name': 'Hot cache - read'}
hot_cache_read['data'] = [0.262673139572, 0.277920007706, 0.335688829422, 0.263830900192, 0.265268802643]

cold_cache_read = {'name': 'Cold cache - read'}
#cold_cache_read['data'] = [0.843955993652, 0.802474975586, 0.990427970886, 0.795747995377, 0.807102918625]
cold_cache_read['data'] = [1.63526105881, 2.28860187531, 1.74772405624, 1.64203691483, 1.85263895988]

mysql_hot_cache_read = {'name': 'MySQL hot cache - read'}
mysql_hot_cache_read['data'] = [0.15, 0.14, 0.15, 0.15, 0.15]

mysql_cold_cache_read = {'name': 'MySQL cold cache - read'}
mysql_cold_cache_read['data'] = [0.53, 0.57, 0.39, 0.42, 0.46]

# Write is how much time wendelin.core spend to write all data into the storage.
# It's not affected by cache.
write = {'name': 'Write'}
write['data'] = [25.7491948605, 25.300052166, 25.1220777035, 27.6381318569, 25.0087022781]

samples = [hot_cache_read, cold_cache_read, mysql_hot_cache_read, mysql_cold_cache_read, write]

for key, statistic_function in [['average', median], ['stdev', stdev], ['max', max], ['min', min]]:
  for sample in samples:
    sample[key] = statistic_function(sample['data'])
    
for sample in samples:
  print sample